Send webhook test
curl --request POST \
--url https://app.trypost.it/api/webhooks/{webhook}/send-test \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.trypost.it/api/webhooks/{webhook}/send-test"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.trypost.it/api/webhooks/{webhook}/send-test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tested": true
}{
"message": "Unauthenticated."
}{
"message": "Active subscription required."
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}{
"name": "rate_limit_exceeded",
"message": "Rate limit exceeded. Please retry after 30 seconds."
}Webhooks
Send webhook test
Sends a signed test event to the endpoint now and waits up to 5 seconds for the answer: {id, type: "webhook.test", data: {}, created_at}. It is not logged and does not change the failure count. When the endpoint is not allowed, unreachable or answers with a non-2xx status, the request returns 422 with the reason on endpoint (for example The endpoint returned HTTP 500.).
POST
/
webhooks
/
{webhook}
/
send-test
Send webhook test

